<div class="card   ">
  <div class="card-header">
    <i class=" fas fa-car text-white"></i> <span >{{title}}</span>

  </div>
  <div class="card-body">
    <div class="row">

      <p-toast [style]="{marginTop: '80px'}"></p-toast>
      <audio #audioOption>
        <source src='assets/sonido/alert.mp3' type="audio/mp3">
      </audio>
      <div class="col-sm-5 offset-sm-6 ">

        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" ><i class="fa fa-search" ></i></span>
          </div>
          <input class="form-control" type="text" placeholder="Buscar en la tabla" (input)="dt.filterGlobal($event.target.value, 'contains')"  pInputText pTooltip="Buscar en la tabla" tooltipPosition="bottom">
        </div>

      </div>
      <div class="col-sm-1">
        <div class="dropdown mx-1 " >
          <button type="button" class="btn   brd0 dropdown-toggle"  id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-bell " style="font-size: 24px;" [ngClass]="{ 'icon-animated-bell': actualizacion }"></i>
            <span class="font-weight-bold " style="font-size: 16px;">
                  {{notificacion}}
            </span>
          </button>
          <div class="dropdown-menu  p-2 mx-1 " aria-labelledby="dropdownMenuButton" >
            <span class="fsPEdit">Lista de ticket que sobrepasaron el tiempo de atención estipulado.</span>
            <ol class="">
              <li value="" class="fsPEdit" *ngFor="let i of notificacionList">{{i}} </li>
            </ol>
          </div>
        </div>

      </div>


      <div class="col-sm-12">
        <p-table  class="table cell-border hover" #dt [value]="bitacoArray" [paginator]="true" [rows]="10"
                  [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                  [globalFilterFields]="['fechaOperacion','subDependencia','muelle','numeroTicket','placa','vehiculo','estado','infoInicio','minutosRestante']"
                  [responsive]="true">

          <ng-template pTemplate="header">
            <tr class="text-center">
              <th class="{{c.class}}" *ngFor="let c of loadTable" >
                {{c.header}}
              </th>
              <th  class="w-50">Acción</th>

            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-c>
            <tr  class="text-center">
              <td><span class="ui-column-title">Fecha operacion</span>{{c.fechaOperacion}}</td>
              <td><span class="ui-column-title">Dependencia</span>{{c.subDependencia}} </td>
              <td><span class="ui-column-title">Muelle</span>{{c.muelle}} </td>
              <td><span class="ui-column-title">NumeroTicket</span>{{c.numeroTicket}} </td>
              <td><span class="ui-column-title">Placa</span>{{c.placa}} </td>
              <td><span class="ui-column-title">Vehiculo</span>{{c.vehiculo}} </td>
              <td><span class="ui-column-title">Estado</span>{{c.estado}} </td>
              <td><span class="ui-column-title">infoInicio</span>{{c.infoInicio}} </td>
              <td><span class="ui-column-title">T_Restante</span>{{c.minutosRestante}}
              <td><span class="ui-column-title">DefCom</span>
                <span  *ngIf="c.color === 'V'">A Tiempo <span class=" fa-2x fas fa-circle text-success"></span></span>
                <span  *ngIf="c.color === 'A'">Tiempo limite <span class=" fa-2x fas fa-circle text-warning"></span></span>
                <span  *ngIf="c.color === 'R'">Retrasado <span class="fa-2x fas fa-circle text-danger"></span></span></td>

              <td>
                <p-accordion >
                  <p-accordionTab  >
                    <button (click)="openReloj(c.minutosRestante)" class=" btn bCSC" >
                      <span class="fa-2x fas fa-clock">  </span> <span > Reloj</span></button>
                    <button *ngIf="c.color === 'R'" (click)="openCausalDeTiempo(c.numeroTicket, c.idEstadoTicket, c.tieneCausales)" class=" btn bCSC" >
                      <span class="fa-2x fas fa-clock">  </span> <span > Causal de tiempo</span></button>
                  </p-accordionTab>
                </p-accordion>
              </td>
            </tr>
          </ng-template>
        </p-table>
      </div>
    </div>
  </div>
</div>
